FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000566FL52.2 Subprogram FLUC (CONV)public2014-09-24 14:172015-08-12 23:48
ReporterFalk Reichbott 
Assigned ToTilo Eckert 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.0 
Target Version5.1.08Fixed in Version5.1.08 
Summary0000566: Support RADIX and checksum for base encoding
DescriptionCurrently we don't support the checksum extension and RADIX (both comes from PGP mail traffic) for base encodings.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000877)
Falk Reichbott (administrator)
2015-08-12 23:48

With version 5.1.8 of FLAM ASCII/EBCDIC Armor support and CRC checksum support are implemented conform to RFC4880 as prerequisit for the OpenPGP support in FLAM.

If a Armor-Header found the header is parsed and the data is available for each component running behind the base encoder. The Armor-Trailer is verified if a additional switch aktivated. The read of Armor data is complete transparent and indepentent of/can be used for each encoding schema (Base16/32/64) and all kind of data formats.

The CRC checksum is also read transparent and only (to save CPU time) verified if the corressponding check switch enabled. At write you can add a CRC checksum and or Armor header and trailer. For this you can aktivate a CRC switch or the Armor object. Normally correct Armor data will used for the headers by default but you can overwrite, the header set and the key values Version and Comment.

This is supported indepentant of each other and for all encodings schema. The Base16 (HEX) a CRC32, for Base32 a CRC40 (GSM) and for Base64/Radix64 a CRC24 (RCF4880) are implemented.

- Issue History
Date Modified Username Field Change
2014-09-24 14:17 Falk Reichbott New Issue
2014-09-24 14:17 Falk Reichbott Status new => assigned
2014-09-24 14:17 Falk Reichbott Assigned To => Tilo Eckert
2015-07-09 18:35 Falk Reichbott Target Version 5.2 => 5.1
2015-07-09 18:44 Falk Reichbott Target Version 5.1 => 5.1.08
2015-08-12 23:48 Falk Reichbott Note Added: 0000877
2015-08-12 23:48 Falk Reichbott Status assigned => resolved
2015-08-12 23:48 Falk Reichbott Fixed in Version => 5.1.08
2015-08-12 23:48 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker